<div class="flex flex-col h-screen">
    <mat-card class="m-4">
      <mat-card-header class="m-2">
        <mat-card-title>
          <div class="flex">
            <button class="secondary-icon mr-3" (click)="back()"><mat-icon>keyboard_backspace</mat-icon></button>
          {{ domain || "New CORS Domain" }}</div></mat-card-title>
      </mat-card-header>
      <mat-card-content class="flex flex-col">
        <form [formGroup]="corsDomainForm">
          <mat-form-field class="w-full">
            <mat-label>Domain Name</mat-label>
            <input matInput formControlName="domain" mat-raised-button required>
          </mat-form-field>
        </form>
      </mat-card-content>
      <mat-card-actions class="m-4 flex flex-row gap-2">
        <button (click)="updateDomain()" mat-flat-button color="primary" [disabled]="!corsDomainForm.valid"
          *ngIf="domain">Update</button>
        <button (click)="addDomain()" mat-flat-button color="primary" [disabled]="!corsDomainForm.valid"
          *ngIf="!domain">Add</button>
        <button (click)="removeDomain()" mat-flat-button color="warn" *ngIf="uuid !== new">Remove</button>
      </mat-card-actions>
    </mat-card>
  </div>
  